Subject: Re: bug#69894: 29.1; Icalendar export conflict with calendar iso date

From: Ulf Jasper <[email-masked]>
Date: Mon, 08 Apr 2024 07:50:48 +0200

Am 06.04.2024 um 12:58 (+0300) schrieb Eli Zaretskii:
>> From: Erwan Hingant <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,   RwN <[email-masked]>,
>>    [email-masked]
>> Date: Thu, 28 Mar 2024 22:49:33 +0100
>>
>> Sorry I cannot help much because I am not an expert in
>> regexp.... I just find a patch which work for me. The 0? is not in
>> the match, the function assume a good structure of the diary file
>> so 2024 099 03 will match 2024 99 3 if I am right? What I am
>> concern is considering - instead of space likewise the default ISO
>> format used .
>
> Can you tell how you arrived at a date such as "2024-03-19" in the
> diary file?  Did you per chance write it by hand or something?  If any
> of the diary commands produce such dates, can you show a recipe for
> reproducing this?
>
> AFAIU, what icalendar--datestring-to-isodate accepts as DATESTRING is
> a diary-style date, and the ISO format of diary-style dates doesn't
> allow dashes.  So I 'm curious as to how those dashes ended up in your
> diary file.
>
> Ulf, any comments about this?

'icalendar--datestring-to-isodate' does not expect dashes in iso style
input strings (as the observation/patch shows).  However, if the diary
machine accepts dashes then 'icalendar--datestring-to-isodate' should
also do so.

I would add some testcases to the ert test of
'icalendar--datestring-to-isodate' and then apply the patch.